> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert the attribute value for an end user entity attribute source



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_users/{end_user_heron_id}/entities/{entity_heron_id}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_heron_id}/entities/{entity_heron_id}:
    post:
      tags:
        - EndUserEntity
      summary: Upsert the attribute value for an end user entity attribute source
      parameters:
        - in: path
          name: end_user_heron_id
          required: true
          schema:
            type: string
        - in: path
          name: entity_heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpsertEndUserEntityAttributeValueSchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndUserEntityAttributeValueSchema'
          description: OK
        '204':
          description: No Content (value was deleted)
      security:
        - ApiKeyAuth: []
components:
  schemas:
    UpsertEndUserEntityAttributeValueSchema:
      properties:
        attribute_heron_id:
          type: string
        source_heron_id:
          type: string
        value:
          nullable: true
      required:
        - attribute_heron_id
        - source_heron_id
        - value
      type: object
    EndUserEntityAttributeValueSchema:
      properties:
        heron_id:
          type: string
        value: {}
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````